---

#! /db/releases/20241125103356/lkp-src/jobs/stress-ng-part3.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: pagemove
job_origin: stress-ng-part3.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-spr-r02
tbox_group: lkp-spr-r02
job_file: "/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-pagemove-60s-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241201-31062-j2bing-2.yaml"
id: 683ae055a1adfb642408f06615bff544ec473186
queuer_version: "/zday/lkp"

#! /db/releases/20241125103356/lkp-src/hosts/lkp-spr-r02
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x70e47014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8480CTDX
belongs_to: lkp

#! /db/releases/20241125103356/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20241125103356/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20241125103356/lkp-src/include/stress-ng

#! /db/releases/20241125103356/lkp-src/include/queue/cyclic
commit: e93d2521b27f0439872dfa4e4b92a9be6d73496f

#! /db/releases/20241125103356/lkp-src/include/testbox/lkp-spr-r02
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-9.4
enqueue_time: 2024-12-01 15:27:20.688486346 +08:00
_rt: "/result/stress-ng/performance-100%-pagemove-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f"
compiler: gcc-12
head_commit: '08b985eca6229a47ba7fe8596b608691d03b346d'
base_commit: adc218676eef25575469234709c2d87185ca223a
branch: linux-devel/devel-hourly-20241125-122849
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241129-155012"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-pagemove-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/vmlinuz-6.12.0-rc2-00033-ge93d2521b27f
- branch=linux-devel/devel-hourly-20241125-122849
- job=/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-pagemove-60s-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241201-31062-j2bing-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=e93d2521b27f0439872dfa4e4b92a9be6d73496f
- intremap=posted_msi
- acpi_rsdp=0x70e47014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240912.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-3be6dc267-1_20240912.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241125103356/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-pagemove-60s-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241201-31062-j2bing-2.cgz"
last_kernel: 6.12.0
acpi_rsdp: '0x70e47014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/vmlinuz-6.12.0-rc2-00033-ge93d2521b27f"
result_root: "/result/stress-ng/performance-100%-pagemove-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/0"

#! /db/releases/20241129154910/lkp-src/include/site/inn
dequeue_time: 2024-12-01 15:30:55.232394512 +08:00
job_state: finished
loadavg: 21.54 32.17 14.69 1/2064 11433
start_time: '1733038334'
end_time: '1733038394'
version: "/lkp/lkp/.src-20241129-155012:7520cb7fc917:48506f31b110"
